org.eclipse.viatra.query.tooling.ui.queryexplorer.preference

## Class PatternInitializationPreferencePage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.preference.PreferencePage
    - - org.eclipse.viatra.query.tooling.ui.queryexplorer.preference.PatternInitializationPreferencePage

- All Implemented Interfaces:
    org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.ui.IWorkbenchPreferencePage

      public class PatternInitializationPreferencePage
      extends org.eclipse.jface.preference.PreferencePage
      implements org.eclipse.ui.IWorkbenchPreferencePage

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

      `ERROR, INFORMATION, NONE, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternInitializationPreferencePage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.eclipse.swt.widgets.Control` | `createContents(org.eclipse.swt.widgets.Composite parent)`
    `void` | `init(org.eclipse.ui.IWorkbench workbench)`

    - ### Methods inherited from class org.eclipse.jface.preference.PreferencePage

      `applyData, applyDialogFont, computeSize, contributeButtons, createControl, createDescriptionLabel, createNoteComposite, doComputeSize, doGetPreferenceStore, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, okToLeave, performApply, performCancel, performDefaults, performHelp, performOk, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

    - ### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

      `convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.preference.IPreferencePage

      `computeSize, isValid, okToLeave, performCancel, performOk, setContainer, setSize`

    - ### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

      `createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

- - ### Constructor Detail

    - #### PatternInitializationPreferencePage

          public PatternInitializationPreferencePage()

  - ### Method Detail

    - #### init

          public void init(org.eclipse.ui.IWorkbench workbench)

      Specified by:
        `init` in interface `org.eclipse.ui.IWorkbenchPreferencePage`

    - #### createContents

          protected org.eclipse.swt.widgets.Control createContents(org.eclipse.swt.widgets.Composite parent)

      Specified by:
        `createContents` in class `org.eclipse.jface.preference.PreferencePage`